Name:		sar2
Version:	2.5.0
Release:	%mkrel 1
Summary:	An open source helicopter simulator
Group:		Games/Simulation
# Code is GPLv2+
# Content is either GPLv2+ or Public Domain
License:	GPLv2+
URL:		https://searchandrescue2.github.io/sar2/
Source0:	https://github.com/SearchAndRescue2/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	scons
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)

%description
Search and Rescue II is a rescue helicopter simulator for Linux. It features
several missions in which the player pilots a helicopter in order to rescue
people in distress. There are several scenarios and helicopter models.

Search and Rescue II has a strong focus on realistic physics and low graphics
requirements. It is a fork of the game "Search and Rescue"
(http://searchandrescue.sf.net), originally developed by Wolfpack
Entertainment.

%prep
%autosetup -p1

%build
%scons \
	--optflags="%{optflags}" \
	--ldflags="%{ldflags}"

%install
# install.sh is pretty dumb.
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/
mkdir -p %{buildroot}%{_datadir}/pixmaps/

cp -ar data/* %{buildroot}%{_datadir}/%{name}/
cp -a man/* %{buildroot}%{_mandir}/man6
cp -a bin/%{name} %{buildroot}%{_bindir}
cp -a extra/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/48x48/
cp -a src/icons/SearchAndRescue.xpm %{buildroot}%{_datadir}/pixmaps/sar2.xpm

desktop-file-install --dir=%{buildroot}%{_datadir}/applications extra/%{name}.desktop

%files
%doc AUTHORS CHANGELOG.md HACKING LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/%{name}.xpm
%{_datadir}/pixmaps/sar2.xpm
%{_mandir}/man6/*


%changelog
* Sun Jul 19 2020 zezinho <zezinho> 2.5.0-1.mga8
+ Revision: 1607262
- new version 2.5.0

* Sun May 31 2020 zezinho <zezinho> 2.4.3-1.mga8
+ Revision: 1589229
- fix files list
- new version 2.4.3

* Wed May 13 2020 zezinho <zezinho> 2.4.0-3.mga8
+ Revision: 1583455
- fix icon name
- fix loading screen

* Mon Apr 27 2020 zezinho <zezinho> 2.4.0-2.mga8
+ Revision: 1572510
- fix project url

* Mon Apr 27 2020 zezinho <zezinho> 2.4.0-1.mga8
+ Revision: 1572445
- new version 2.4.0

* Tue Mar 31 2020 pterjan <pterjan> 2.3.3-5.mga8
+ Revision: 1562563
- Fix BuildRequires, it uses another ice

* Tue Mar 31 2020 pterjan <pterjan> 2.3.3-4.mga8
+ Revision: 1562478
- Rebuild for new ice

* Tue Feb 11 2020 umeabot <umeabot> 2.3.3-3.mga8
+ Revision: 1489124
- Mageia 8 Mass Rebuild

* Sun Sep 09 2018 wally <wally> 2.3.3-2.mga7
+ Revision: 1257925
- add patch to build with our ldflags

* Tue Sep 12 2017 zezinho <zezinho> 2.3.3-1.mga7
+ Revision: 1153316
- add optflags to allow build in MGA7
- new version incorporates distros patches

* Mon Dec 26 2016 zezinho <zezinho> 2.3.2-1.mga6
+ Revision: 1077847
- new version

* Mon Dec 19 2016 zezinho <zezinho> 2.3.0-1.mga6
+ Revision: 1076064
- imported package sar2


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.3.0-9
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug  8 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.0-2
- update icon cache

* Tue Jun 14 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.0-1
- initial package
